<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>Home - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="wcreaspot.html">wcreaspot</a><ul class='members'></ul></li><li><a href="CreaspotService.html">CreaspotService</a></li></ul>
    
</nav>

<div id="main">
    

    



    


    <section class="package">
        <h3> </h3>		
    </section>









    



    <section class="readme usertext">
        <article><h1>creaspot</h1>
<p>Analysing video of learning activities using machine learning</p>
<p><a name='what'></a></p>
<h2>Package repository</h2>
<ul>
<li>Package files: <a target='_blank' href='https://gitlab.inria.fr/line/aide-group/creaspot'>https://gitlab.inria.fr/line/aide-group/creaspot</a></li>
<li>Package documentation: <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/creaspot'>https://line.gitlabpages.inria.fr/aide-group/creaspot</a></li>
<li>Source files: <a target='_blank' href='https://gitlab.inria.fr/line/aide-group/creaspot/-/tree/master/src'>https://gitlab.inria.fr/line/aide-group/creaspot/-/tree/master/src</a></li>
<li>Version <code>0.1.1</code></li>
<li>License <code>CECILL-C</code></li>
</ul>
<h2>Installation</h2>
<h3>User simple installation</h3>
<ul>
<li><code>npm install git+https://gitlab.inria.fr/line/aide-group/creaspot.git</code></li>
</ul>
<h3>Co-developper installation</h3>
<ul>
<li>See the <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/aidebuild/install.html#.install_as_developer'>related documentation</a></li>
</ul>
<p>Please refer to the <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/aidebuild/install.html'>installation guide</a> for installation.</p>
<p><a name='how'></a></p>
<h2>Usage</h2>
<p>See the <a href="https://gitlab.inria.fr/line/aide-group/creaspot/-/blob/master/doc/presentation.md">short presentation</a> for more information.</p>
<h3>npm script usage</h3>
<pre class="prettyprint source"><code>npm install --quiet : installs all package dependencies and sources.
npm run build: builds the different compiled, documentation and test files.
npm test     : runs functional and non-regression tests.
npm run clean: cleans installation files.
</code></pre>
<p><a name='dep'></a></p>
<h2>Dependencies</h2>
<ul>
<li><tt>aideweb: <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/aideweb'>Javascript server side node express utilities for web applications and service</a></tt></li>
<li><tt>express-ipfilter: <a target='_blank' href='https://www.npmjs.com/package/express-ipfilter'>A light-weight IP address based filtering system</a></tt></li>
</ul>
<h2>devDependencies</h2>
<ul>
<li><tt>aidebuild: <a target='_blank' href='https://line.gitlabpages.inria.fr/aide-group/aidebuild'>Builds multi-language compilation packages and related documentation.</a></tt></li>
</ul>
<p><a name='who'></a></p>
<h2>Authors</h2>
<ul>
<li>Ali Issaoui  <big><a target='_blank' href='mailto:ali-issaoui@outlook.fr'>🖂</a></big></li>
<li>Younes Jallouf  <big><a target='_blank' href='mailto:younes.jallouf@ensg.eu'>🖂</a></big></li>
<li>Elie-Alban Lescout  <big><a target='_blank' href='mailto:elie-alban.lescout@ensg.eu'>🖂</a></big></li>
<li>Hugo Tardy  <big><a target='_blank' href='mailto:hugo.tardy@ensg.eu'>🖂</a></big></li>
<li>Thierry Viéville  <big><a target='_blank' href='mailto:thierry.vieville@inria.fr'>🖂</a></big></li>
</ul></article>
    </section>






    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2024-08-15 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>